RHEL 6 : java-1.7.1-ibm (RHSA-2020:2236)

medium Nessus Plugin ID 136739
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 6.5

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

The remote Redhat Enterprise Linux 6 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2020:2236 advisory.

- OpenJDK: Excessive memory usage in OID processing in X.509 certificate parsing (Libraries, 8234037) (CVE-2020-2654)

- OpenJDK: Incorrect handling of references to uninitialized class descriptors during deserialization (Serialization, 8224541) (CVE-2020-2756)

- OpenJDK: Uncaught InstantiationError exception in ObjectStreamClass (Serialization, 8224549) (CVE-2020-2757)

- OpenJDK: Re-use of single TLS session for new connections (JSSE, 8234408) (CVE-2020-2781)

- OpenJDK: CRLF injection into HTTP headers in HttpServer (Lightweight HTTP Server, 8234825) (CVE-2020-2800)

- OpenJDK: Incorrect bounds checks in NIO Buffers (Libraries, 8234841) (CVE-2020-2803)

- OpenJDK: Incorrect type checks in MethodType.readObject() (Libraries, 8235274) (CVE-2020-2805)

- OpenJDK: Regular expression DoS in Scanner (Concurrency, 8236201) (CVE-2020-2830)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/113.html

https://cwe.mitre.org/data/definitions/119.html

https://cwe.mitre.org/data/definitions/185.html

https://cwe.mitre.org/data/definitions/248.html

https://cwe.mitre.org/data/definitions/400.html

https://cwe.mitre.org/data/definitions/770.html

https://access.redhat.com/security/cve/CVE-2020-2654

https://access.redhat.com/security/cve/CVE-2020-2756

https://access.redhat.com/security/cve/CVE-2020-2757

https://access.redhat.com/security/cve/CVE-2020-2781

https://access.redhat.com/security/cve/CVE-2020-2800

https://access.redhat.com/security/cve/CVE-2020-2803

https://access.redhat.com/security/cve/CVE-2020-2805

https://access.redhat.com/security/cve/CVE-2020-2830

https://access.redhat.com/errata/RHSA-2020:2236

https://bugzilla.redhat.com/1791217

https://bugzilla.redhat.com/1823215

https://bugzilla.redhat.com/1823216

https://bugzilla.redhat.com/1823527

https://bugzilla.redhat.com/1823542

https://bugzilla.redhat.com/1823694

https://bugzilla.redhat.com/1823844

https://bugzilla.redhat.com/1823960

Plugin Details

Severity: Medium

ID: 136739

File Name: redhat-RHSA-2020-2236.nasl

Version: 1.4

Type: local

Agent: unix

Published: 5/20/2020

Updated: 4/15/2021

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: Medium

VPR Score: 6.5

CVSS Score Source: CVE-2020-2800

CVSS v2.0

Base Score: 5.8

Temporal Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 4.8

Temporal Score: 4.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:6, cpe:/o:redhat:rhel_eus:6.0, p-cpe:/a:redhat:enterprise_linux:java-1.7.1-ibm, p-cpe:/a:redhat:enterprise_linux:java-1.7.1-ibm-demo, p-cpe:/a:redhat:enterprise_linux:java-1.7.1-ibm-devel, p-cpe:/a:redhat:enterprise_linux:java-1.7.1-ibm-jdbc, p-cpe:/a:redhat:enterprise_linux:java-1.7.1-ibm-plugin, p-cpe:/a:redhat:enterprise_linux:java-1.7.1-ibm-src

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 5/20/2020

Vulnerability Publication Date: 1/15/2020

Reference Information

CVE: CVE-2020-2654, CVE-2020-2756, CVE-2020-2757, CVE-2020-2781, CVE-2020-2800, CVE-2020-2803, CVE-2020-2805, CVE-2020-2830

RHSA: 2020:2236

CWE: 20, 113, 119, 185, 248, 400, 770, 20, 113, 119, 185, 248, 400, 770